CREATE TABLE MojaTabela OF XMLTYPE;

INSERT INTO MojaTabela VALUES(XMLTYPE('
<MojaSekcja>
<Liczby><Liczba>1</Liczba></Liczby>
<Napisy><Napis>napis1</Napis><Napis>napis2</Napis></Napisy>
</MojaSekcja>
'));

INSERT INTO MojaTabela VALUES(XMLTYPE('
<MojaSekcja>
<Liczby><Liczba>1</Liczba><Liczba>100</Liczba></Liczby>
<Napisy><Napis>napis3</Napis></Napisy>
<Opisy></Opisy>
</MojaSekcja>
'));

SELECT EXTRACT(OBJECT_VALUE,'/MojaSekcja/Napisy/Napis') FROM MojaTabela;
SELECT EXTRACT(OBJECT_VALUE,'/MojaSekcja/Napisy/Napis[Position()=2]') FROM MojaTabela;
